Bug 119990 - FILESAVE DOCX The Style property of the check box and option button form controls is incorrectly saved
Summary: FILESAVE DOCX The Style property of the check box and option button form cont...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected
Depends on:
Blocks: DOCX-ActiveX-Legacy
  Show dependency treegraph
 
Reported: 2018-09-19 17:25 UTC by Gabor Kelemen (allotropia)
Modified: 2021-10-12 03:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example ODT file from Writer with a check box and an option button. (9.41 KB, application/vnd.oasis.opendocument.text)
2018-09-19 17:25 UTC, Gabor Kelemen (allotropia)
Details
Example DOCX file from Writer with a check box and an option button. (16.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-09-19 17:26 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the original and exported document side by side in Writer. (172.72 KB, image/png)
2018-09-19 17:26 UTC, Gabor Kelemen (allotropia)
Details
Example file from Word with SpecialEffect property set (26.95 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-10-11 15:02 UTC, Gabor Kelemen (allotropia)
Details
The example Word file in Word and Writer side by side (251.06 KB, image/png)
2018-10-11 15:02 UTC, Gabor Kelemen (allotropia)
Details
The example file saved by Writer (21.44 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-10-11 15:03 UTC, Gabor Kelemen (allotropia)
Details
The LO-saved example file in Word and Writer (252.09 KB, image/png)
2018-10-11 15:04 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-09-19 17:25:59 UTC
Created attachment 145035 [details]
Example ODT file from Writer with a check box and an option button.

The Style property of the check box and option button form controls is incorrectly saved in DOCX document.

Steps to reproduce:

    1. Create a new document in LibreOffice Writer..
    2. On the Form tab, click Design Mode.
    3. Insert a check box or an option button.
    4. Right-click the control, and click Control Properties.
    5. Set the Style property: Flat.
    6. Save the file as DOCX.
    7. Select File and Reload.
    8. Right-click the control, and click Control Properties.

Actual results:
The value of the Style property is 3D.

Expected results:
The Style property shouldn’t change.


LibreOffice details:
Version: 6.2.0.0.alpha0+
Build ID: efe119aaa50e9f532b3fac1ef153469c80f24b80
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-09-10_00:02:50
Locale: en-US (hu_HU); Calc: threaded
Comment 1 Gabor Kelemen (allotropia) 2018-09-19 17:26:31 UTC
Created attachment 145036 [details]
Example DOCX file from Writer with a check box and an option button.
Comment 2 Gabor Kelemen (allotropia) 2018-09-19 17:26:46 UTC
Created attachment 145037 [details]
Screenshot of the original and exported document side by side in Writer.
Comment 3 raal 2018-09-20 07:14:53 UTC
Confirm. Version: 6.2.0.0.alpha0+
Build ID: a27ae800fed5a974c9b255f7ce2b38ec2dbaa426
CPU threads: 4; OS: Windows 6.1; UI render: default;
Comment 4 Xisco Faulí 2018-10-04 15:46:20 UTC
The export feature was implemented in

author	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-17 21:47:22 +0200
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-17 23:11:15 +0200
commit c0cc02e2934aeb12dda44818955e5964496c186a (patch)
tree 16f450bbe38e14d336bdbac3220b642b9a302a87
parent 8c0cc5cd7befffc6e8e6361ba67807a799cc997f (diff)
tdf#50097: DOCX: export form controls as MSO ActiveX controls

@Tamás Zolnai, I thought you could be interested in this issue...
Comment 5 Tamás Zolnai 2018-10-05 20:46:26 UTC
Just a comment. I don't see similar property in MSO (I checked the checkbox). So I'm not sure how we can save this property if it's not supported by MSO.
Comment 6 Gabor Kelemen (allotropia) 2018-10-11 15:02:02 UTC
Created attachment 145614 [details]
Example file from Word with SpecialEffect property set

Apparently this is called SpecialEffect in MSO.
Comment 7 Gabor Kelemen (allotropia) 2018-10-11 15:02:59 UTC
Created attachment 145615 [details]
The example Word file in Word and Writer side by side

Import of the property seems to work
Comment 8 Gabor Kelemen (allotropia) 2018-10-11 15:03:33 UTC
Created attachment 145616 [details]
The example file saved by Writer
Comment 9 Gabor Kelemen (allotropia) 2018-10-11 15:04:34 UTC
Created attachment 145617 [details]
The LO-saved example file in Word and Writer

Export however does not
Comment 10 QA Administrators 2019-10-12 02:45:13 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2021-10-12 03:53:52 UTC
Dear Gabor Kelemen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug